Package Details: softmaker-office-2012-bin 2012.702-3

Git Clone URL: https://aur.archlinux.org/softmaker-office-2012-bin.git (read-only, click to copy)
Package Base: softmaker-office-2012-bin
Description: Softmaker Office 2012, proprietary office suite; word processing, spreadsheets, presentations
Upstream URL: http://softmaker.com
Licenses: custom
Submitter: jdarch
Maintainer: None
Last Packager: jdarch
Votes: 8
Popularity: 0.000000
First Submitted: 2015-11-21 20:27 (UTC)
Last Updated: 2015-12-09 11:07 (UTC)

Latest Comments

commented on 2016-05-20 21:57 (UTC)

Please swap i686 and x86_64 dependencies. The .install file is not needed anymore, superseded by pacman hooks.

commented on 2016-05-20 21:53 (UTC)

Please swap i686 and x86_64 dependencies.

jdarch commented on 2015-12-09 11:08 (UTC)

Some changes related to the mime-icons, by editing the PKGBUILD file it is possible to avoid conflicts with FreeOffice and/or choose generic icons for various Softmaker documents.

ninian commented on 2015-08-26 21:44 (UTC)

Revision 702 now released.

jdarch commented on 2015-01-29 15:17 (UTC)

The naming of the applications is in keeping with the naming by Softmaker's install script. However, I have modified it, as there is no obvious reason to name the software the way it is named in that script.

ninian commented on 2015-01-29 01:02 (UTC)

Thanks for this package, seems to work well. Any reason why presentations-2012.desktop has 'Name=SoftMaker Presentations 2012' rather than 'Name=Presentations 2012', in keeping with the Names in the textmaker-2012.desktop and planmaker-2012.desktop files? Revision 698 has now been released.

jdarch commented on 2014-09-19 16:19 (UTC)

I have uploaded tha package I have been using, please let me know about any issues.

cconrad commented on 2014-07-27 13:43 (UTC)

Hi all, due to changing jobs I am no longer using Arch and thus I am unfortunately unable to maintain the package. Please do not ask me to update it, I don't want to release anything I haven't been able to test on Arch myself. I hope someone else will adopt the package. Thanks for your understanding. Best wishes, cconrad

Kompilator commented on 2014-07-23 09:21 (UTC)

This PKGBUILD upgrades to rev 691: # Maintainer: Claus Conrad <webmaster at clausconrad dot com> pkgname=softmaker-office-bin pkgver=691 pkgrel=1 pkgdesc="Proprietary office suite striving for compatibility with Microsoft file formats." arch=('x86_64') url="http://www.softmaker.com/english/ofl_en.htm" license=('unknown') depends=('lib32-gcc-libs' 'lib32-libxmu' 'lib32-libxrender') makedepends=('bash' 'rpmextract' 'xdg-utils' 'shared-mime-info' 'desktop-file-utils' 'gtk-update-icon-cache') options=('emptydirs') install=softmaker-office-bin.install source=("http://www.softmaker.net/down/2012/softmaker-office-2012-${pkgver}.${arch}.rpm") md5sums=('d05c07ebb995e12552a1ea7173942912') package() { cp -a "${srcdir}/usr" "${pkgdir}" }

ZeroBit commented on 2014-07-19 15:33 (UTC)

Please. fixs it. They've made an update ==> Validating source files with md5sums... softmaker-office-2012-688.x86_64.rpm ... FAILED ==> ERROR: One or more files did not pass the validity check! ==> ERROR: Makepkg was unable to build softmaker-office-bin.

cconrad commented on 2014-05-02 08:36 (UTC)

Thank you both for the votes and feedback, it is always encouraging to hear that the package works and is useful to others :)

bepebe commented on 2014-05-02 00:24 (UTC)

Thanks for the package, just switched from Kingsoft to SoftMaker due to compatiblity issues

ninian commented on 2014-04-25 19:45 (UTC)

Many thanks for creating this package. Have just purchased an upgrade to 2012 Linux version and your package worked beautifully.